Bug 831116 - Review Request: ghc-MonadRandom - A random number generation Monad
Review Request: ghc-MonadRandom - A random number generation Monad
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 04:52 EDT by Shakthi Kannan
Modified: 2012-09-17 18:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-12 04:52:52 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-MonadRandom.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-MonadRandom-0.1.6-1.fc16.src.rpm
Description: A random number generation Monad
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-12 04:54:43 EDT
 $  rpmlint ghc-MonadRandom.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-MonadRandom-0.1.6-1.fc16.src.rpm 
ghc-MonadRandom.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-MonadRandom-0.1.6-1.fc16.x86_64.rpm 
ghc-MonadRandom.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-MonadRandom-devel-0.1.6-1.fc16.x86_64.rpm 
ghc-MonadRandom-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4153476
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153477
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153481
Comment 2 Narasimhan 2012-09-07 05:55:45 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-MonadRandom-0.1.6-1.fc17.src.rpm ghc-MonadRandom-0.1.6-1.fc17.x86_64.rpm ghc-MonadRandom-devel-0.1.6-1.fc17.x86_64.rpm ../ghc-MonadRandom.spec 
ghc-MonadRandom.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadRandom.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadRandom-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum MonadRandom-0.1.6.tar.gz ghc-MonadRandom-0.1.6-1.fc16.src/MonadRandom-0.1.6.tar.gz 
17e3acf24114b9fe8f5600c1fadb7d985d4559e24476911267c06963a0e04990  MonadRandom-0.1.6.tar.gz
17e3acf24114b9fe8f5600c1fadb7d985d4559e24476911267c06963a0e04990  ghc-MonadRandom-0.1.6-1.fc16.src/MonadRandom-0.1.6.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64. Koji builds for x86 and x86_64 done by packager (links provided in the review).
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation in -devel package.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Loaded  Control.Monad.Random into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Shakthi Kannan 2012-09-07 05:58:29 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-MonadRandom
Short Description: A random number generation monad
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-09-07 07:54:46 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-09-07 08:18:21 EDT
ghc-MonadRandom-0.1.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-MonadRandom-0.1.6-1.fc17
Comment 6 Fedora Update System 2012-09-07 08:18:32 EDT
ghc-MonadRandom-0.1.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-MonadRandom-0.1.6-1.fc16
Comment 7 Fedora Update System 2012-09-07 08:18:42 EDT
ghc-MonadRandom-0.1.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-MonadRandom-0.1.6-1.fc18
Comment 8 Fedora Update System 2012-09-07 15:35:42 EDT
ghc-MonadRandom-0.1.6-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-09-17 13:29:42 EDT
ghc-MonadRandom-0.1.6-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-09-17 13:34:22 EDT
ghc-MonadRandom-0.1.6-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-09-17 18:03:26 EDT
ghc-MonadRandom-0.1.6-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.